Bug 58785 - crashes when deleting floater
Summary: crashes when deleting floater
Status: RESOLVED FIXED
Alias: None
Product: kolf
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Jason Katz-Brown
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-22 08:41 UTC by Daniel Schepler
Modified: 2006-04-27 10:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Schepler 2003-05-22 08:41:51 UTC
Version:            (using KDE KDE 3.1.2)
Installed from:    Debian testing/unstable Packages
Compiler:          gcc version 3.3 (Debian) 
OS:          Linux

(This is forwarded from Debian bug #193691.)

Crash recipe:
Spawn a fresh, empty course,
enter edit mode,
create a floater,
select upper left path terminal,
press DEL.

The backtrace says:
#0  0x41718af9 in wait4 () from /lib/libc.so.6
#1  0x4178bf60 in sys_sigabbrev () from /lib/libc.so.6
#2  0x41272061 in waitpid () from /lib/libpthread.so.0
#3  0x407c0348 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  0x416a59c8 in sigaction () from /lib/libc.so.6
#5  0x4008a97d in Floater::aboutToDie() () from /usr/lib/libkolf.so.0
#6  0x40089f60 in FloaterGuide::aboutToDelete() () from /usr/lib/libkolf.so.0
#7  0x40072d4e in KolfGame::keyReleaseEvent(QKeyEvent*) ()
   from /usr/lib/libkolf.so.0
#8  0x40b4f558 in QWidget::event(QEvent*) () from /usr/lib/libqt-mt.so.3
#9  0x40ace1be in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/libqt-mt.so.3
#10 0x40acdda7 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libqt-mt.so.3
#11 0x4075d84b in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#12 0x40a7e2ab in QETWidget::translateKeyEvent(_XEvent const*, bool) ()
   from /usr/lib/libqt-mt.so.3
#13 0x40a7a956 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/libqt-mt.so.3
#14 0x40a8d6b9 in QEventLoop::processEvents(unsigned) ()
   from /usr/lib/libqt-mt.so.3
#15 0x40adf77b in QEventLoop::enterLoop() () from /usr/lib/libqt-mt.so.3
#16 0x40adf638 in QEventLoop::exec() () from /usr/lib/libqt-mt.so.3
#17 0x40ace3b8 in QApplication::exec() () from /usr/lib/libqt-mt.so.3
#18 0x40013d93 in main () from /usr/lib/kde3/kolf.so
#19 0x41694a51 in __libc_start_main () from /lib/libc.so.6
Comment 1 Jason Katz-Brown 2003-12-17 08:59:40 UTC
It's a miracle! it's fixed! woohoo, this is a bunch of voodoo and somewhere in the last few months it decided to work.. if it crops up again, I'll shoot it! (I did code stuff in to guard against this a while ago.. can't say when though)

Thanks!